> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-all-environments/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get all environments GET https://app.unleash-instance.example.com/api/admin/environments Retrieves all environments that exist in this Unleash instance. Reference: https://docs.getunleash.io/api/get-all-environments ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 environmentsSchema - `version` (integer, required) — Version of the environments schema - `environments` (list of environmentSchema, required) — List of environments ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### environmentSchema A definition of the project environment - `name` (string, required) — The name of the environment - `type` (string, required) — The [type of environment](https://docs.getunleash.io/concepts/environments#environment-types). - `enabled` (boolean, required) — `true` if the environment is enabled for the project, otherwise `false`. - `protected` (boolean, required) — `true` if the environment is protected, otherwise `false`. A *protected* environment can not be deleted. - `sortOrder` (integer, required) — Priority of the environment in a list of environments, the lower the value, the higher up in the list the environment will appear. Needs to be an integer - `projectCount` (integer, optional, nullable) — The number of projects with this environment - `apiTokenCount` (integer, optional, nullable) — The number of API tokens for the project environment - `enabledToggleCount` (integer, optional, nullable) — The number of enabled toggles for the project environment - `requiredApprovals` (integer, optional, nullable) — Experimental field. The number of approvals required before a change request can be applied in this environment. ## Examples **Response** ```json { "version": 1, "environments": [ { "name": "my-dev-env", "type": "development", "enabled": true, "protected": true, "sortOrder": 3, "projectCount": 10, "apiTokenCount": 6, "enabledToggleCount": 10, "requiredApprovals": 3 } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/environments" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/environments'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/environments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/environments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/environments") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/environments', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/environments"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/environments")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```